package com.persagy.apm.alarmservice.dependency.eqdiagnose.model;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author lixing
 * @version V1.0 2021-09-10 00:13:27
 */
@Data
@ApiModel(value = "监测指标历史记录列表返回结果参数")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class MonitorIndicatorRecordListItemVO {
    @ApiModelProperty("对象id")
    private String objId;
    
    @ApiModelProperty("监测指标id")
    private String monitorIndicatorId;
    
    @ApiModelProperty("时间")
    private String date;
    
    @ApiModelProperty("值")
    private String value;
}
