package com.persagy.apm.dmpalarm.enumeration;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;

/**
 * 报警状态
 *
 * @author lixing
 * @version V1.0 2021/11/17 9:08 下午
 */
@AllArgsConstructor
public enum EnumAlarmState {
    UN_HANDLE(1, "未恢复"),
    END(2, "已恢复"),
    EXPIRE(3, "已过期");

    @Setter
    @Getter
    private Integer type;

    @Setter
    @Getter
    private String desc;
}
