package com.persagy.apm.dmpalarm.enumeration;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;

/**
 * 报警处理状态
 *
 * @author lixing
 * @version V1.0 2021/11/17 9:08 下午
 */
@AllArgsConstructor
public enum EnumAlarmTreatState {
    UN_HANDLE(1, "未处理"),
    HANDLING(2, "处理中"),
    DONE(3, "处理完成"),
    // 用于兼容子系统业务，后期会移除该状态
    IGNORE(4, "已忽略");

    @Setter
    @Getter
    private Integer type;

    @Setter
    @Getter
    private String desc;
}
