package com.persagy.apm.dmpalarm.service;

import com.persagy.apm.dmpalarm.criteria.JsonCriteria;
import com.persagy.apm.dmpalarm.model.AlarmComment;
import com.persagy.apm.dmpalarm.web.MapResponse;
import com.persagy.apm.dmpalarm.web.PagedResponse;

/**
 * 报警批注(AlarmComment) service接口
 *
 * @author lixing
 * @version V1.0 2021-12-09 10:44:19
 */
public interface IAlarmCommentService  {

    public PagedResponse<AlarmComment> query(JsonCriteria criteria);

    public MapResponse create(AlarmComment param);

    public  MapResponse delete(AlarmComment param);
}
