/**
 * 
 */
package com.persagy.apm.dmpalarm.service;

import com.persagy.apm.dmpalarm.criteria.JsonCriteria;
import com.persagy.apm.dmpalarm.model.AlarmEventType;
import com.persagy.apm.dmpalarm.web.MapResponse;
import com.persagy.apm.dmpalarm.web.PagedResponse;

/**
 * @author gaoyu
 *
 */
public interface IAlarmEventTypeService {

	/**
	 *<p>分页查询</p>
	 * @param criteria
	 * @return    参数
	 * @return PagedResponse<AlarmItem>    返回类型
	 */
	PagedResponse<AlarmEventType> query(JsonCriteria criteria);

	/**
	 *<p>更新</p>
	 * @param param
	 * @return    参数
	 * @return MapResponse    返回类型
	 */
	MapResponse update(AlarmEventType param);

	/**
	 *<p>新增</p>
	 * @param param
	 * @return    参数
	 * @return MapResponse    返回类型
	 */
	MapResponse create(AlarmEventType param);

	/**
	 *<p>删除</p>
	 * @param param
	 * @return    参数
	 * @return MapResponse    返回类型
	 */
	MapResponse delete(AlarmEventType param);

	 
}
