package com.persagy.apm.dmpalarm.service;

import com.persagy.apm.dmpalarm.criteria.JsonCriteria;
import com.persagy.apm.dmpalarm.model.AlarmLog;
import com.persagy.apm.dmpalarm.web.MapResponse;
import com.persagy.apm.dmpalarm.web.PagedResponse;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 报警日志(AlarmLog) service接口
 *
 * @author lixing
 * @version V1.0 2021-12-09 10:44:19
 */
public interface IAlarmLogService  {
    
	public MapResponse create(AlarmLog alarmLog);

    public PagedResponse<AlarmLog> query(JsonCriteria criteria);

    public Map<String, List<AlarmLog>> getAlarmLogMap(List<String> recordIdList);

    public Date getIgnoreAlarmTime(String recordId);
}
