package com.persagy.apm.dmpalarm.service;

import com.persagy.apm.dmpalarm.criteria.JsonCriteria;
import com.persagy.apm.dmpalarm.model.AlarmRecord;
import com.persagy.apm.dmpalarm.web.MapResponse;
import com.persagy.apm.dmpalarm.web.PagedResponse;

/**
 * 报警记录(AlarmRecord) service接口
 *
 * @author lixing
 * @version V1.0 2021-12-09 10:44:19
 */
public interface IAlarmRecordService {

	public PagedResponse<AlarmRecord> query(JsonCriteria criteria);

	public MapResponse create(AlarmRecord alarmRecord);

	public MapResponse update(AlarmRecord alarmRecord);

	public MapResponse batchUpdate(AlarmRecord alarmRecord);

}
