package com.persagy.apm.alarmservice.group.calculatemethod.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;

/**
 * @author lixing
 * @version V1.0 2021-09-08 22:43:58
 */
@Data
@ApiModel(value = "查询计算方式入参")
public class QueryCalculateMethodDTO {
    @ApiModelProperty(value = "计算方式名称", required = true)
    private String name;
    
    @ApiModelProperty(value = "公式", required = true)
    private String formula;
    
    @ApiModelProperty(value = "监测指标id", required = true)
    private String monitorIndicatorId;
    
    @ApiModelProperty(value = "是否是指标默认计算方式", required = true)
    private String isDefault;

    @ApiModelProperty(value = "报警分类编码", required = true)
    private String category;
}
