package com.persagy.apm.alarmservice.group.objgroup.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;

/**
 * @author lixing
 * @version V1.0 2021-10-19 14:25:45
 */
@Data
@ApiModel(value = "查询报警对象分组入参")
public class QueryObjGroupDTO {
    @ApiModelProperty(value = "分组名称", required = true)
    private String name;
    
    @ApiModelProperty(value = "设备类型", required = true)
    private String classCode;
    
    @ApiModelProperty(value = "分组条件", required = true)
    private String condition;
    
    @ApiModelProperty(value = "父节点id", required = true)
    private String parentid;

    @ApiModelProperty(value = "报警分类编码", required = true)
    private String category;
    
}
