package com.persagy.apm.dmpalarm.web;

import lombok.Getter;
import lombok.Setter;

import java.util.Collections;
import java.util.List;

/**
 * @author: yaoll
 * @date: 2020-09-04
 * @verison: 1.0
 */
public class PagedResponse<T> extends ListResponse<T> {

	@Getter
	@Setter
	private Long count;

	@SuppressWarnings("unchecked")
	public List<T> getData() {
		if (data == null) {
			return Collections.EMPTY_LIST;
		} else {
			return data;
		}
	}
}
